Installation Pre-Requisites

Last modified
<< PrevNext >>

The following pre-requisites need to be completed prior to installing the SSDO software:

General Pre-requisites

  • SSDO is supported on SharePoint 2007, 2010 and 2013.
  • Ensure that you have properly configured your StorSimple appliance, and that the appropriate volumes to support your SharePoint deployment are configured and accessible from your SQL Server server. Please refer to the Appliance Quick Start Guide if you have yet to deploy and configure your StorSimple appliance.
  • Ensure that volume to be used for BLOB externalization is formatted with a 64 KB Allocation Unit size (AUS).
  • Ensure that the volume to be used for BLOB externalization is accessible via a UNC path (file share) from your Web Front End (WFE) and application servers and the account which the SharePoint farm is configured to run has 'write' permissions to it.
  • Ensure that your SharePoint farm is in a healthy state, and that:
    • All SharePoint WFEs and Application servers registered in the farm are running and can be pinged from the server where you will be installing the SSDO package.
    • The SharePoint Timer service (SPTimerV3 or SPTimerV4) is running on each WFE and application server.
    • The SharePoint Timer service and the IIS application pool under which the SharePoint Central Administration site is running have administrative privileges. If the SharePoint Timer service does not have administrative privileges, there will be no indication to the user and the BLOB externalization will silently fail.
  • Ensure that the IE ESC (Internet Explorer Enhanced Security Context) is disabled (refer to the Release notes section for instructions on how to do this).

 

For the purpose of this document, the installation MSI (StorSimple.SharePoint.DatabaseOptimizer.msi) will be referred to as the 'installer'.

UpArrow.png

External BLOB Storage (EBS) Pre-requisite

  • Ensure that the SQL Server in your deployment is SQL Server 2005, SQL Server 2008, SQL Server 2008 R2 or SQL Server 2012. All edition of SQL Server from these versions are supported.
  • BLOBs may only be externalized onto volumes that are presented to SQL Server server by the StorSimple appliance. No other targets for BLOB externalization are supported.

UpArrow.png

Remote BLOB Storage (RBS) Pre-requisites

  • Ensure that the SQL Server in your deployment is one of the following versions. Only these versions are supported and able to use RBS
    • SQL Server 2008 Enterprise Edition
    • SQL Server 2008 R2 Enterprise Edition
    • SQL Server 2012 Enterprise Edition
  • BLOBs may only be externalized onto volumes that are presented to SQL Server by the StorSimple appliance. No other targets for BLOB externalization are supported.

UpArrow.png

Page statistics
2805 view(s) and 13 edit(s)
Social share
Share this page?

Tags

This page has no custom tags.
This page has no classifications.

Comments

You must to post a comment.

Attachments